compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow, CompWindow, 0>::get()

Bug #743807 reported by u-foka on 2011-03-27
142
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Sam Spilsbury
compiz (Ubuntu)
High
Sam Spilsbury
unity (Ubuntu)
High
Sam Spilsbury

Bug Description

Binary package hint: compiz

Enabled the jpeg plugin in ccsm

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: compiz-core 1:0.9.4git20110322-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38-7-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 270.30 Fri Feb 25 14:34:41 PST 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-7ubuntu1)
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,compiztoolbox,decor,gnomecompat,imgpng,imgsvg,grid,mousepoll,resize,regex,text,animation,move,expo,snap,vpswitch,place,workarounds,wall,ezoom,staticswitcher,fade,scale,session]
CompositorRunning: None
CrashCounter: 1
Date: Sun Mar 27 21:30:48 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 270.30, 2.6.38-7-generic-pae, i686: installed
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 nVidia Corporation G86 [GeForce 8400M GS] [10de:0427] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:026f]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110327)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110327)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
MachineType: Dell Inc. Vostro1310
ProcCmdline: compiz --replace
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=019bae9d-0699-4120-aa8a-3feed7bd6132 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Renderer: Unknown
SegvAnalysis:
 Segfault happened at: 0xb4729b72 <_ZN18PluginClassHandlerI11DecorWindow10CompWindowLi0EE3getEPS1_+290>: mov 0x18(%ecx),%edx
 PC (0xb4729b72) ok
 source "0x18(%ecx)" (0x00000018) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: compiz
StacktraceTop:
 PluginClassHandler<DecorWindow, CompWindow, 0>::get(CompWindow*) () from /usr/lib/compiz/libdecor.so
 DecorScreen::handleEvent(_XEvent*) () from /usr/lib/compiz/libdecor.so
 CompScreen::handleEvent(_XEvent*) ()
 ResizeScreen::handleEvent(_XEvent*) () from /usr/lib/compiz/libresize.so
 CompScreen::handleEvent(_XEvent*) ()
Title: compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow, CompWindow, 0>::get()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/18/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.name: 0G930C
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd03/18/2009:svnDellInc.:pnVostro1310:pvrNull:rvnDellInc.:rn0G930C:rvr:cvnDellInc.:ct8:cvrN/A:
dmi.product.name: Vostro1310
dmi.product.version: Null
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

u-foka (ufooka) wrote :

StacktraceTop:
 PluginClassHandler<DecorWindow, CompWindow, 0>::get (base=0x0) at /build/buildd/compiz-0.9.4git20110322/include/core/pluginclasshandler.h:156
 DecorScreen::handleEvent (this=0xa529b60, event=0xbf8758dc) at /build/buildd/compiz-0.9.4git20110322/plugins/decor/src/decor.cpp:1598
 CompScreen::handleEvent (this=0xa0994b8, event=0xbf8758dc) at /build/buildd/compiz-0.9.4git20110322/src/event.cpp:986
 ResizeScreen::handleEvent (this=0xa4ed268, event=0xbf8758dc) at /build/buildd/compiz-0.9.4git20110322/plugins/resize/src/resize.cpp:1454
 CompScreen::handleEvent (this=0xa0994b8, event=0xbf8758dc) at /build/buildd/compiz-0.9.4git20110322/src/event.cpp:986

Changed in compiz (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
tags: added: compiz-0.9
Omer Akram (om26er) on 2011-03-30
visibility: private → public
Daniel Hahler (blueyed) on 2011-04-02
Changed in compiz (Ubuntu):
status: New → Triaged
u-foka (ufooka) wrote :

Actually this happens every time I enable or disable a plugin in ccsm

Omer Akram (om26er) on 2011-04-07
Changed in compiz (Ubuntu):
status: Triaged → Confirmed
importance: Medium → High
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
Download full text (4.8 KiB)

Null check needed in

 case PropertyNotify:
     if (event->xproperty.atom == decorSwitchWindowAtom)
     {
  CompWindow *w = screen->findWindow (event->xproperty.window);

  DECOR_WINDOW (w);

  if (dw->isSwitcher && !event->xproperty.state == PropertyDelete)
      dw->updateSwitcher ();
     }

Just a mental note for when I wake up

On Fri, Apr 8, 2011 at 12:28 AM, Launchpad Bug Tracker
<email address hidden> wrote:
> Sam "SmSpillaz" Spilsbury (smspillaz) has assigned this bug to you for unity in Ubuntu:
>
> Binary package hint: compiz
>
> Enabled the jpeg plugin in ccsm
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.04
> Package: compiz-core 1:0.9.4git20110322-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
> Uname: Linux 2.6.38-7-generic-pae i686
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
>  NVRM version: NVIDIA UNIX x86 Kernel Module  270.30  Fri Feb 25 14:34:41 PST 2011
>  GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-7ubuntu1)
> Architecture: i386
> CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,compiztoolbox,decor,gnomecompat,imgpng,imgsvg,grid,mousepoll,resize,regex,text,animation,move,expo,snap,vpswitch,place,workarounds,wall,ezoom,staticswitcher,fade,scale,session]
> CompositorRunning: None
> CrashCounter: 1
> Date: Sun Mar 27 21:30:48 2011
> DistUpgraded: Fresh install
> DistroCodename: natty
> DistroVariant: ubuntu
> DkmsStatus: nvidia-current, 270.30, 2.6.38-7-generic-pae, i686: installed
> ExecutablePath: /usr/bin/compiz
> GraphicsCard:
>  nVidia Corporation G86 [GeForce 8400M GS] [10de:0427] (rev a1) (prog-if 00 [VGA controller])
>   Subsystem: Dell Device [1028:026f]
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110327)
> InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110327)
> JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
> MachineType: Dell Inc. Vostro1310
> ProcCmdline: compiz --replace
> ProcEnviron:
>  LANGUAGE=en_US:en
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=019bae9d-0699-4120-aa8a-3feed7bd6132 ro quiet splash vt.handoff=7
> ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
> Renderer: Unknown
> SegvAnalysis:
>  Segfault happened at: 0xb4729b72 <_ZN18PluginClassHandlerI11DecorWindow10CompWindowLi0EE3getEPS1_+290>:        mov    0x18(%ecx),%edx
>  PC (0xb4729b72) ok
>  source "0x18(%ecx)" (0x00000018) not located in a known VMA region (needed readable region)!
>  destination "%edx" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: compiz
> StacktraceTop:
>  PluginClassHandler<DecorWindow, CompWindow, 0>::get(CompWindow*) () from /usr/lib/compiz/libdecor.so
>  DecorScreen::handleEvent(_XEvent*) () from /usr/lib/compiz/libdecor.so
>  CompScreen::handleEvent(_XEvent*) ()
>  ResizeScreen::handleEvent(_XEvent*) () from /usr/lib/compiz/libresize.so
>  CompScreen::handleEvent(_XEvent*) ()
> Title: compiz crashed with SIGSEGV in ...

Read more...

Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Changed in compiz (Ubuntu):
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Changed in unity (Ubuntu):
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Changed in unity:
milestone: none → 3.8.6
Changed in compiz (Ubuntu):
milestone: none → ubuntu-11.04-beta-2
Changed in unity (Ubuntu):
milestone: none → ubuntu-11.04-beta-2
Changed in unity:
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
Changed in compiz (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-04-11
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.6-0ubuntu1

---------------
unity (3.8.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGABRT in raise() (LP: #748163)
    - System freezes when maximize button is clicked (LP: #754063)
    - compiz crashed with SIGSEGV in QuicklistView::IsMenuItemSeperator()
      (LP: #754302)
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #754235)
    - compiz crashed with SIGSEGV in ubus_server_pump_message_queue()
      (LP: #754657)
    - drag from dash to launcher (LP: #662616)
    - Add a test case for unity-decorator regressions (LP: #736878)
    - the files place category combo has empty space (LP: #741641)
    - panel superposition (LP: #742859)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - [FFE] Need API to set urgency from background process (LP: #747677)
    - Launcher - Escape from 'drag behind the Launcher' interaction
      (LP: #750298)
    - Launcher needs to be desaturated when Dash is open, not transparent.
      (LP: #750358)
    - compiz crashed with SIGSEGV in free() (LP: #752293)
    - migrate_favorites.py crashed with ImportError in __main__: No module
      named gconf (LP: #752176)
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow,
      CompWindow, 0>::get() (LP: #743807)
    - cannot close the dash by clicking on the bfb (LP: #753914)
    - Animation for Grid Previews is broken (LP: #754088)
    - compiz crashed with SIGSEGV in PanelMenuView::OnPlaceViewShown()
      (LP: #754585)
    - Pressing F10 then "left arrow" wit Unity on Natty makes the system
      unusable (LP: #756867)
    - compiz crashed with SIGSEGV in __pthread_mutex_lock() (LP: #711231)
    - Tooltips and Dash Font Problems (LP: #741605)
    - Title elipisising incorrect. Type “Shotwell” for a good example
      (LP: #750350)
    - compiz crashed with SIGSEGV in Launcher::Launcher() (LP: #748096)
    - BFB - Turn top left corner blue rather than Ubuntu logo (LP: #755286)
    - launcher appears and gets stuck when resizing windows with mouse
      (LP: #754690)
    - Wrong item gets dragged out (LP: #729796)
    - Launcher - when the launcher is folded, the bottom icon partially falls
      off the end of the screen (LP: #731869)
    - unity-window-decorator: Resize padding: Tiny focused windows lose resize
      padding and shadow when <69 pixels wide (LP: #737707)
    - Deinstalling an application with launcher entry leaves orphaned shortcut
      (LP: #748107)
    - Two Nautilus windows open when clicked on a device icon on Launcher
      (started after 3.8.2) (LP: #748299)
    - compiz crashed with SIGSEGV in Launcher::AnimationTimeout()
      (LP: #749890)
  * debian/control:
    - build-dep on latest nux (ABI break)
  * debian/unity-common.install:
    - install the desktop file for the new capplet
 -- Didier Roche <email address hidden> Mon, 11 Apr 2011 12:42:33 +0200

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110411-0ubuntu1

---------------
compiz (1:0.9.4+bzr20110411-0ubuntu1) natty; urgency=low

  * New upstream snapshot, including all 01_bzr* patch:
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow, CompWindow,
      0>::get() (LP: #743807)
    - Animation for Grid Previews is broken (LP: #754088)
    - Grid plugin: Maximizing a window from left or right edge loses original
      size (LP: #753051)
  * add 00_remove_printf.patch: remove debug printf
  * 02_add_debug_spewer_for_apport.patch:
    - refreshed
 -- Didier Roche <email address hidden> Mon, 11 Apr 2011 13:25:14 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.